Extend auto-sleep
POST
Moves a running VM's auto-sleep deadline by minutes (negative pulls it in).
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
vmId*stringapplication/json- body
minutes*integerRange
-720 <= value <= 720The new deadline.
application/json- response
ok*booleansleepAt*stringISO 8601 date-time (UTC).
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timecurl -X POST 'https://api.homemade.dev/api/vms/string/sleep-extend' \ -H 'Content-Type: application/json' \ -d '{ "minutes": -720}'Example Response
{ "ok": true, "sleepAt": "2019-08-24T14:15:22Z"}